from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class SolverConstraintOperator(IntEnum):
    LESS_EQUAL = auto()
    EQUAL = auto()
    GREATER_EQUAL = auto()
    INTEGER = auto()
    BINARY = auto()
